[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TCollection.ItemClass

Class pointer for each item in the collection.

## Declaration

Source position: classesh.inc line 565

`public property TCollection.ItemClass : TCollectionItemClass read FItemClass;`

## Description

ItemClass is the class pointer with which each new item in the collection is created. It is the value that was passed to the collection's constructor when it was created, and does not change during the lifetime of the collection.

## See also

TCollectionItem |  | Basic object that is managed by a TCollection class.
TCollection.Items |  | Indexed array of items in the collection.

Documentation generated on: Feb 26 2014